<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="2dp"
        android:paddingTop="0dp"
        android:paddingEnd="2dp"
        android:paddingBottom="2dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/ic_rounded_corner_edgier"
            android:backgroundTint="@color/colorBackground"
            android:foreground="?android:attr/selectableItemBackground"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="4dp"
            android:paddingTop="2dp"
            android:paddingEnd="4dp"
            android:paddingBottom="2dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">


                <LinearLayout
                    android:id="@+id/starButton"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:foreground="?android:attr/selectableItemBackground"
                    android:gravity="center_vertical">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="4dp"
                        android:layout_marginEnd="4dp"
                        android:gravity="center"
                        android:orientation="vertical">


                        <TextView
                            android:id="@+id/startText"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="88:88"
                            android:textColor="@color/colorBase05"
                            android:textSize="12sp" />

                        <TextView
                            android:id="@+id/finishText"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="88:88"
                            android:textColor="@color/colorBase05"
                            android:textSize="12sp" />
                    </LinearLayout>

                    <ImageView
                        android:id="@+id/star"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="6dp"
                        android:layout_marginEnd="6dp"
                        android:backgroundTint="@android:color/transparent"
                        app:srcCompat="@drawable/ic_star_black_24dp"
                        app:tint="@color/colorBase17" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/eventTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Something interesting"
                        android:textColor="@color/colorBase03"
                        android:textSize="18sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/eventSubtitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="with someone"
                            android:textColor="@color/colorBase19"
                            android:textSize="16sp" />

                        <Space
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1" />

                        <ImageView
                            android:id="@+id/flag"
                            android:layout_width="18sp"
                            android:layout_height="18sp"
                            android:layout_marginEnd="3dp"
                            android:src="@drawable/ic_pt" />
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>


        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>